API 레퍼런스

수신 이메일

주소를 만들고 수신한 대화를 다룹니다.

POST/domains/:id/inbound/setup
API 키

SES 수신 프로비저닝

SES 수신 프로비저닝

요청
curl https://sendhq.cc/api/v1/domains/id_value/inbound/setup \
  -X POST \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
200 응답
{
  "domain": "inbound.example.com",
  "status": "dns_pending",
  "record": {
    "type": "MX",
    "name": "inbound.example.com",
    "value": "10 inbound-smtp.us-east-1.amazonaws.com"
  }
}
POST/domains/:id/inbound/verify
API 키

수신 MX 라우팅 검증

수신 MX 라우팅 검증

요청
curl https://sendhq.cc/api/v1/domains/id_value/inbound/verify \
  -X POST \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
200 응답
{
  "domain": "inbound.example.com",
  "status": "ready",
  "record": {
    "type": "MX"
  }
}
POST/inboxes
API 키

수신 주소 생성

수신 주소 생성

요청
curl https://sendhq.cc/api/v1/inboxes \
  -X POST \
  -H "Authorization: Bearer $SENDHQ_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"domain_id":"dom_…","local_part":"support","name":"Support"}'
201 응답
{
  "id": "inb_…",
  "address": "support@inbound.example.com",
  "status": "active"
}
GET/inboxes
API 키

수신 주소 목록 조회

수신 주소 목록 조회

쿼리 매개변수domain_id
요청
curl https://sendhq.cc/api/v1/inboxes \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
200 응답
{
  "data": [],
  "count": 0
}
GET/inboxes/:id
API 키

수신 주소 조회

수신 주소 조회

요청
curl https://sendhq.cc/api/v1/inboxes/id_value \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
200 응답
{
  "id": "inb_…",
  "address": "support@example.com",
  "status": "active"
}
PATCH/inboxes/:id
API 키

수신함 이름 변경, 활성화 또는 비활성화

수신함 이름 변경, 활성화 또는 비활성화

요청
curl https://sendhq.cc/api/v1/inboxes/id_value \
  -X PATCH \
  -H "Authorization: Bearer $SENDHQ_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"Customer support","status":"active"}'
200 응답
{
  "id": "inb_…",
  "status": "active"
}
PUT/inboxes/:id/forwarding
API 키

수신함이 받은 메일을 다른 주소로 전달

`forward_to`를 이메일 주소로 설정하거나, 전달을 끄려면 null로 설정하세요. 계정 소유자 본인의 주소는 즉시 활성화되며, 다른 주소에는 확인 이메일(수신함의 검증된 도메인에서 발송되며 수신자 1명으로 집계)이 발송되고 링크가 확인될 때까지 전달은 보류 상태로 유지됩니다. 전달된 사본은 수신함 주소에서 발송되고 원래 발신자가 Reply-To로 지정되며, 발송 제외와 요금제 한도를 준수하고, 다시 전달되지 않습니다.

요청
curl https://sendhq.cc/api/v1/inboxes/id_value/forwarding \
  -X PUT \
  -H "Authorization: Bearer $SENDHQ_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"forward_to":"team@example.net"}'
200 응답
{
  "id": "inb_…",
  "address": "support@example.com",
  "forwardTo": "team@example.net",
  "forwardStatus": "pending"
}
DELETE/inboxes/:id
API 키

메시지는 보관한 채 수신함 삭제

메시지는 보관한 채 수신함 삭제

요청
curl https://sendhq.cc/api/v1/inboxes/id_value \
  -X DELETE \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
200 응답
{
  "ok": true
}